summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2014-01-17 01:39:49 +0100
committer Erik Hanson2014-01-30 06:21:04 +0100
commitd1c97b5fd24d96da10691966c1ca7a9a61ad4efe (patch)
treebf43210e62b9f1e2f22cab52699bb7437882a301 /system
parent2b2d8530c0ca8de29982009c9ce5621ca7b0b0bc (diff)
downloadslackbuilds-d1c97b5fd24d96da10691966c1ca7a9a61ad4efe.tar.gz
system/cpmtools: Added (access CP/M filesystem images or floppies).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/cpmtools/README4
-rw-r--r--system/cpmtools/cpmtools.SlackBuild89
-rw-r--r--system/cpmtools/cpmtools.info10
-rw-r--r--system/cpmtools/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/system/cpmtools/README b/system/cpmtools/README
new file mode 100644
index 0000000000..b431569eb3
--- /dev/null
+++ b/system/cpmtools/README
@@ -0,0 +1,4 @@
+cpmtools (access CP/M filesystem images or floppies)
+
+cpmtools accesses CP/M file systems. It's similar to the well-known
+mtools package (which accesses MSDOS file systems).
diff --git a/system/cpmtools/cpmtools.SlackBuild b/system/cpmtools/cpmtools.SlackBuild
new file mode 100644
index 0000000000..0fde9b697d
--- /dev/null
+++ b/system/cpmtools/cpmtools.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for cpmtools
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=cpmtools
+VERSION=${VERSION:-2.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+# make install fails to create these. Grr.
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/man/man5 $PKG/usr/share
+
+# really old configure script, no DESTDIR support. "autoreconf -fi" fails
+# to build a new configure script, too.
+make install prefix=$PKG/usr exec_prefix=$PKG/usr MANDIR=$PKG/usr/man
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README NEWS COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cpmtools/cpmtools.info b/system/cpmtools/cpmtools.info
new file mode 100644
index 0000000000..ad095de6b0
--- /dev/null
+++ b/system/cpmtools/cpmtools.info
@@ -0,0 +1,10 @@
+PRGNAM="cpmtools"
+VERSION="2.17"
+HOMEPAGE="http://www.moria.de/~michael/cpmtools/"
+DOWNLOAD="http://www.moria.de/~michael/cpmtools/cpmtools-2.17.tar.gz"
+MD5SUM="0d2e0e78cab3a87184c55d350e83af07"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/cpmtools/slack-desc b/system/cpmtools/slack-desc
new file mode 100644
index 0000000000..2efa3f8563
--- /dev/null
+++ b/system/cpmtools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cpmtools: cpmtools (access CP/M filesystem images or floppies)
+cpmtools:
+cpmtools: cpmtools accesses CP/M file systems. It's similar to the well-known
+cpmtools: mtools package (which accesses MSDOS file systems).
+cpmtools:
+cpmtools:
+cpmtools:
+cpmtools:
+cpmtools:
+cpmtools:
+cpmtools: